const CONTRIBUTION_ACTION_TYPES = {
  GET_CONTRIBUTIONS: 'contribution/GET_CONTRIBUTIONS',
  REGISTER_CONTRIBUTIONS: 'contribution/REGISTER_CONTRIBUTIONS',
  DEREGISTER_CONTRIBUTIONS: 'contribution/DEREGISTER_CONTRIBUTIONS',
  REPLACE_CONTRIBUTIONS: 'contribution/REPLACE_CONTRIBUTIONS'
};
const COMMAND_ACTION_TYPES = {
  REGISTER_COMMAND: 'command/REGISTER_COMMAND',
  DEREGISTER_COMMAND: 'command/DEREGISTER_COMMAND',
  EXECUTE_COMMAND: 'command/EXECUTE_COMMAND'
};
const EXTENSION_ACTION_TYPES = {
  // extensions
  GET_EXECUTABLE_EXTENIONS: 'extension/GET_EXECUTABLE_EXTENIONS',
  GET_CONFIGURED_EXTENSION: 'extension/GET_CONFIGURED_EXTENSION',
  GET_ENABLED_EXTENSION: 'extension/GET_ENABLED_EXTENSION',
  FETCH_ACTIVE_EXTENSIONS: 'extension/FETCH_ACTIVE_EXTENSIONS',
  ACTIVE_EXTENSIONS: 'extension/ACTIVE_EXTENSIONS',
  FETCH_ENABLED_EXTENIONS: 'extension/FETCH_ENABLED_EXTENIONS',
  ENABLED_EXTENSIONS: 'extension/ENABLED_EXTENSIONS',
  FETCH_CONFIGURED_EXTENSIONS: 'extension/FETCH_CONFIGURED_EXTENSIONS',
  CONFIGURED_EXTENSIONS: 'extension/CONFIGURED_EXTENSIONS',
  // registry
  REGISTER_PROVIDERS: 'extension/REGISTER_PROVIDERS',
  OPEN_DOCUMENT: 'extension/OPEN_DOCUMENT',
  OPEN_DOCUMENT_EPIC: 'extension/OPEN_DOCUMENT_EPIC',
  // Document
  TEXT_POSITION: 'extension/TEXT_POSITION'
};
const SETTINGS_ACTION_TYPES = {
  // settings
  GET_SETTINGS: 'settings/GET_SETTINGS',
  UPDATE_SETTINGS: 'settings/UPDATE_SETTINGS'
};export{COMMAND_ACTION_TYPES,CONTRIBUTION_ACTION_TYPES,EXTENSION_ACTION_TYPES,SETTINGS_ACTION_TYPES};//# sourceMappingURL=action-types.js.map
